unit Player1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, FileCtrl, ExtCtrls, Fliccomp;

type
  TDateiAuswahl = class(TForm)
    Datei: TFileListBox;
    Verzeichnis: TDirectoryListBox;
    Laufwerk: TDriveComboBox;
    DateiTyp: TFilterComboBox;
    FlicPlayer1: TFlicPlayer;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure DateiClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  DateiAuswahl: TDateiAuswahl;

implementation

{$R *.DFM}

procedure TDateiAuswahl.DateiClick(Sender: TObject);
begin
   FlicPlayer1.FileName := Datei.FileName;
   FlicPlayer1.Play;
end;

procedure TDateiAuswahl.FormResize(Sender: TObject);
Var DY : Integer; {Abstand in Pixel zwischen den List- und Comboboxen}
begin
   DY              := Datei.Top;
   DateiTyp.Top    := ClientHeight - DateiTyp.Height - DY;
   Laufwerk.Top    := DateiTyp.Top - Laufwerk.Height - DY;
   Verzeichnis.Top := Laufwerk.Top - Verzeichnis.Height - DY;
   Datei.Height    := Verzeichnis.Top - 2 * DY;
end;

procedure TDateiAuswahl.Button1Click(Sender: TObject);
begin
   FlicPlayer1.Play;
end;

procedure TDateiAuswahl.Button2Click(Sender: TObject);
begin
   FlicPlayer1.Stop;
end;

procedure TDateiAuswahl.Button3Click(Sender: TObject);
begin
   FlicPlayer1.Pause;
end;

procedure TDateiAuswahl.Button5Click(Sender: TObject);
begin
   FlicPlayer1.Next;
   Caption := IntToStr(FlicPlayer1.Position) + '/'
            + IntToStr(FlicPlayer1.Frames);
end;

procedure TDateiAuswahl.Button4Click(Sender: TObject);
begin
   FlicPlayer1.Previous; 
   Caption := IntToStr(FlicPlayer1.Position) + '/'
            + IntToStr(FlicPlayer1.Frames);
end;

end.
